
Redmine - Defect #31900

Problem with tickets issued by rdm-mailhandler on redmine 4.0.4

2019-08-14 19:18 - Gerhard Kronstorfer

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Hi,

my Installation on a CentOS 7 Servere:

Environment:

Redmine version 4.0.4.stable

Ruby version 2.6.2-p47 (2019-03-13) [x86_64-linux]

Rails version 5.2.3

Environment production

Database adapter Mysql2

Mailer queue ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery smtp

SCM:

Git 1.8.3.1

Filesystem

Redmine plugins:

redmine_checklists 3.1.16

redmine_ckeditor 1.2.2

When I send the following Mail to redmine:

This is a test

--

Mit freundlichen Grüßen / With best regards

i.V. Ing. Gerhard Kronstorfer

Abteilungsleiter EDV

 I get the following ticket (created by rdm-mailhandler):

This is a multi-part message in MIME format.

--------------5CDD95DC82FDEC6C69D3183F

Content-Type: text/plain; charset=utf-8; format=flowed

Content-Transfer-Encoding: 8bit

This is a test

--

Mit freundlichen Gr????en / With best regards

i.V. Ing. Gerhard Kronstorfer

Abteilungsleiter EDV

 You can see that there are four additional lines at the start of the ticket which shouldn't be there and that there is a problem with the

special characters in the signature.

If I send the same message to my old Installation (redmine 3 on Centos 6) everything ist fine.

Related issues:

Related to Redmine - Defect #31549: LF line terminators cause misparse of a m... Closed
History

#1 - 2019-08-19 05:16 - Go MAEDA

Could you try using the latest rdm-mailhandler.rb?: 

https://www.redmine.org/projects/redmine/repository/revisions/18317/entry/trunk/extra/mail_handler/rdm-mailhandler.rb

Perhaps the problem you are experiencing is related to #31549.

#2 - 2019-08-19 11:14 - Gerhard Kronstorfer

The latest version of rdm-mailhandler.rb solves only a part of the problem.

When I send a normel mail (with no picture) the new version works perfect:

Support #4251: Test rdm neu

    Autor: Gerhard Kronstorfer

    Status: neu

    Priorität: Normal

    Zugewiesen an:

    Kategorie:

    Zielversion:

    Firma: 

Das ist ein Test.

-- 

Mit freundlichen Grüßen / With best regards

i.V. Ing. Gerhard Kronstorfer

Abteilungsleiter EDV

 When I send a mail with a picture the picture is lost and the rest of the mail produceses a ticket with the same problems like with the original

rdm-mailhandler.rb:

Support #4252: Test 3

    Autor: Gerhard Kronstorfer

    Status: neu

    Priorität: Normal

    Zugewiesen an:

    Kategorie:

    Zielversion:

    Firma: 

This is a multi-part message in MIME format.

--------------23FDBBA74BBC8D731ABDF6E4

Content-Type: text/plain; charset=utf-8; format=flowed

Content-Transfer-Encoding: 8bit

Das ist ein Test mit Screenshot:

asdf????????

-- 

Mit freundlichen Gr????en / With best regards

i.V. Ing. Gerhard Kronstorfer

Abteilungsleiter EDV

 Additional Info:

If I grep the mails from the mailserver with

rake -f /var/www/redmine/Rakefile redmine:email:receive_imap RAILS_ENV="production" ..............

 All mails are transformed to tickets with no problems.

#3 - 2019-08-19 15:59 - Go MAEDA

Gerhard Kronstorfer wrote:

When I send a mail with a picture the picture is lost and the rest of the mail produceses a ticket with the same problems like with the original

rdm-mailhandler.rb:

 I will try to debug the issue. Could you send an email which can reproduce the problem to the following address?
https://www.redmine.org/projects/redmine/repository/revisions/18317/entry/trunk/extra/mail_handler/rdm-mailhandler.rb
https://www.redmine.org/issues/31549


inbox-ce54bef1f797644206b5feb493b949c80c8d2d9bf6c61cf078 at mailsac.com

(please replace " at " with "@")

#4 - 2019-08-19 18:06 - Gerhard Kronstorfer

I've sent the mail as requested.

#5 - 2019-08-20 10:57 - Go MAEDA

Gerhard Kronstorfer wrote:

I've sent the mail as requested.

 Thank you, I have received the email. I will look into this issue.

#6 - 2019-09-04 03:35 - Go MAEDA

- Resolution set to Cant reproduce

My coworker looked into this but we could not reproduce the problem. The email you sent to me was correctly parsed after replacing

rdm-mailhandler.rb with the latest one.

#7 - 2019-09-04 03:36 - Go MAEDA

- Related to Defect #31549: LF line terminators cause misparse of a multi-part email when rdm-mailhandler.rb is invoked from /etc/aliases added
